package com.bocloud.nms.model.agile;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: HuaDhcpGroup
 * @Description:dhcp组
 * @author: zhenpingLi/李振平
 * @date: 2020/3/16 13:49
 */
public class AgileDhcpGroupModel {
    private String uuid; //dhcpserver标识ID。该字段不支持更新。
    private String name; //dhcpserver名称。
    private String remark; //描述。
    private String logicRouterUuid;//dhcpserver所属的LogicRouterID。该字段不支持更新。
    private String vrfName;//dhcpserver所在的vrfname，只读。
    //    private List<String> serverIp;//dhcpserver的地址。
    private String dhcpgroupl2vni;//非必要字段，暂时存储string
    private String producer;//可选，如果用户指定，就使用用户指定值，以"component"开头的字符串保留； 如果用户没指定，使用默认值"default"；
    private String serverIp;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getLogicRouterUuid() {
        return logicRouterUuid;
    }

    public void setLogicRouterUuid(String logicRouterUuid) {
        this.logicRouterUuid = logicRouterUuid;
    }

    public String getVrfName() {
        return vrfName;
    }

    public void setVrfName(String vrfName) {
        this.vrfName = vrfName;
    }

    //    public List<String> getServerIp() {
//        return serverIp;
//    }
//
//    public void setServerIp(List<String> serverIp) {
//        this.serverIp = serverIp;
//    }
    public String getServerIp() {
        return serverIp;
    }

    public void setServerIp(String serverIp) {
        this.serverIp = serverIp;
    }

    public String getDhcpgroupl2vni() {
        return dhcpgroupl2vni;
    }

    public void setDhcpgroupl2vni(String dhcpgroupl2vni) {
        this.dhcpgroupl2vni = dhcpgroupl2vni;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }
}
